# Uses of Enum
org.apache.commons.math3.util.MathArrays.Position

Packages that use MathArrays.Position
Package
Description
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of MathArrays.Position in org.apache.commons.math3.util

Methods in org.apache.commons.math3.util that return MathArrays.Position
Modifier and Type
Method
Description
`static MathArrays.Position`
MathArrays.Position.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MathArrays.Position[]`
MathArrays.Position.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.commons.math3.util with parameters of type MathArrays.Position
Modifier and Type
Method
Description
`static void`
MathArrays.`shuffle(int[] list, int start, MathArrays.Position pos)`
Shuffle the entries of the given array.
`static void`
MathArrays.`shuffle(int[] list, int start, MathArrays.Position pos, RandomGenerator rng)`
Shuffle the entries of the given array, using the Fisher–Yates algorithm.